For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LearnGraph LoginRequest a Demo
HomeAPIBulk DataSayari LibraryChange Log
  • Key Concepts
    • Introduction
    • Endpoint Overview
    • Authentication
    • Requests
    • Pagination
    • Response Status Codes
    • Data Types
    • Rate Limits
  • API Clients
    • Overview
    • Open API
    • Postman
    • Go
    • Python
    • Node
  • API Reference
      • POSTCreate Project Entity
      • GETGet Project Entities
      • GETGet Project Entity
      • POSTAdd Project Entity Matches
      • PATCHReplace Project Entity Matches
      • DELDelete Project Entity
      • DELDelete Project Entity Match
      • POSTProject Entity Exists
      • POSTSave Project Entity
      • GETGet Project Risk Changes
      • GETGet Project Entity Risk Changes
      • DELDelete Project Risk Changes
      • DELDelete Project Entity Risk Changes
      • GETProject Entity Supply Chain
      • GETGet Project Entity Risk Summary
      • GETProject Entity Supply Chain Summary
  • Guides
    • Getting Started
    • Understanding Project Entity
    • Risk Factors
    • Entity Search
    • Advanced Entity Search
    • Resolution
    • Trade Search - Shipments
    • Trade Search - Suppliers & Buyers
    • v0 Migration
  • Implementation Patterns
    • Project Entity Supply Chain
  • Use Cases
    • Entity Screening & Verification
    • Investigations
LogoLogo
LearnGraph LoginRequest a Demo
API ReferenceProject Entity

Create Project Entity

Beta
POST
/v1/projects/:project_id/entities/create
POST
/v1/projects/:project_id/entities/create
$curl -X POST https://api.sayari.com/v1/projects/YVB88Y/entities/create \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "attributes": {
> "identifier": [
> "253400V1H6ART1UQ0N98"
> ],
> "name": [
> "VTB Bank"
> ],
> "country": [
> "RUS"
> ],
> "address": [
> "Moscow"
> ]
> },
> "limit": 10,
> "profile": "corporate"
>}'
1{
2 "data": {
3 "project_entity_id": "52z4Wa",
4 "project_id": "YVB88Y",
5 "label": "VTB Bank",
6 "upload_ids": [],
7 "strength": "strong",
8 "created_at": "2025-04-22 22:54:00.913586+00",
9 "attributes": {
10 "name": {
11 "match_resolution": true,
12 "values": [
13 "VTB Bank"
14 ]
15 },
16 "country": {
17 "match_resolution": true,
18 "values": [
19 "RUS"
20 ]
21 },
22 "address": {
23 "match_resolution": true,
24 "values": [
25 "Moscow"
26 ]
27 },
28 "identifier": {
29 "match_resolution": true,
30 "values": [
31 "253400V1H6ART1UQ0N98"
32 ]
33 }
34 },
35 "countries": [
36 "USA",
37 "CYP",
38 "ITA",
39 "CHN",
40 "RUS",
41 "UKR",
42 "IND",
43 "IRL",
44 "KAZ",
45 "DEU"
46 ],
47 "risk_categories": [
48 {
49 "id": "regulatory_action",
50 "label": "Regulatory action",
51 "risk_factors": [
52 "regulatory_action"
53 ]
54 },
55 {
56 "id": "export_controls",
57 "label": "Export controls",
58 "risk_factors": [
59 "meu_list_contractors",
60 "export_controls"
61 ]
62 },
63 {
64 "id": "political_exposure",
65 "label": "Political exposure",
66 "risk_factors": [
67 "soe_adjacent",
68 "pep_adjacent"
69 ]
70 },
71 {
72 "id": "sanctions",
73 "label": "Sanctions",
74 "risk_factors": [
75 "sanctioned",
76 "formerly_sanctioned"
77 ]
78 },
79 {
80 "id": "adverse_media",
81 "label": "Adverse media",
82 "risk_factors": [
83 "reputational_risk_other"
84 ]
85 }
86 ],
87 "risk_factors": [
88 {
89 "id": "regulatory_action"
90 },
91 {
92 "id": "sanctioned"
93 },
94 {
95 "id": "meu_list_contractors"
96 },
97 {
98 "id": "reputational_risk_other"
99 },
100 {
101 "id": "pep_adjacent"
102 },
103 {
104 "id": "state_owned"
105 },
106 {
107 "id": "export_controls"
108 },
109 {
110 "id": "formerly_sanctioned"
111 },
112 {
113 "id": "basel_aml"
114 },
115 {
116 "id": "cpi_score"
117 }
118 ],
119 "upstream": {
120 "risk_factors": [],
121 "countries": [],
122 "trade_counts": {
123 "receiver_of": 2,
124 "shipper_of": 56
125 },
126 "has_upstream": false,
127 "products": []
128 },
129 "tags": [],
130 "matches": [
131 {
132 "match_id": "52z4Wa:dy-rh2g0QtzUN_jC_e9S_A",
133 "sayari_entity_id": "dy-rh2g0QtzUN_jC_e9S_A",
134 "type": "company",
135 "label": "ОТКРЫТОЕ АКЦИОНЕРНОЕ ОБЩЕСТВО \"РОССИЙСКИЕ ЖЕЛЕЗНЫЕ ДОРОГИ\"",
136 "countries": [
137 "USA",
138 "CYP",
139 "ITA",
140 "CHN",
141 "RUS",
142 "UKR",
143 "IND",
144 "IRL",
145 "KAZ",
146 "DEU"
147 ],
148 "risk_categories": [
149 {
150 "id": "regulatory_action",
151 "label": "Regulatory action",
152 "risk_factors": [
153 "regulatory_action"
154 ]
155 },
156 {
157 "id": "export_controls",
158 "label": "Export controls",
159 "risk_factors": [
160 "meu_list_contractors",
161 "export_controls"
162 ]
163 },
164 {
165 "id": "political_exposure",
166 "label": "Political exposure",
167 "risk_factors": [
168 "soe_adjacent",
169 "pep_adjacent"
170 ]
171 },
172 {
173 "id": "sanctions",
174 "label": "Sanctions",
175 "risk_factors": [
176 "sanctioned",
177 "formerly_sanctioned"
178 ]
179 },
180 {
181 "id": "adverse_media",
182 "label": "Adverse media",
183 "risk_factors": [
184 "reputational_risk_other"
185 ]
186 }
187 ],
188 "risk_factors": [
189 {
190 "id": "regulatory_action"
191 },
192 {
193 "id": "sanctioned"
194 },
195 {
196 "id": "meu_list_contractors"
197 },
198 {
199 "id": "reputational_risk_other"
200 },
201 {
202 "id": "pep_adjacent"
203 },
204 {
205 "id": "state_owned"
206 },
207 {
208 "id": "export_controls"
209 },
210 {
211 "id": "formerly_sanctioned"
212 },
213 {
214 "id": "basel_aml"
215 },
216 {
217 "id": "cpi_score"
218 }
219 ],
220 "business_purpose": [
221 {
222 "code": "6419",
223 "standard": "ISIC4"
224 },
225 {
226 "code": "64.19",
227 "standard": "unknown"
228 },
229 {
230 "code": "64.9",
231 "standard": "unknown"
232 },
233 {
234 "code": "62.09",
235 "standard": "unknown"
236 },
237 {
238 "code": "64.19",
239 "standard": "NACE2"
240 },
241 {
242 "code": "64.19",
243 "standard": "unknown"
244 },
245 {
246 "code": "649",
247 "standard": "ISIC4"
248 },
249 {
250 "code": "66.12",
251 "standard": "unknown"
252 },
253 {
254 "code": "6419",
255 "standard": "ISIC4"
256 },
257 {
258 "code": "6209",
259 "standard": "ISIC4"
260 },
261 {
262 "code": "6612",
263 "standard": "ISIC4"
264 }
265 ],
266 "upstream": {
267 "risk_factors": [],
268 "countries": [],
269 "trade_counts": {
270 "receiver_of": 2,
271 "shipper_of": 56
272 },
273 "has_upstream": false,
274 "products": [],
275 "risk_counts": {},
276 "country_counts": {}
277 },
278 "sources": [
279 {
280 "id": "eb361ba33d05a9d15b2d28aea739362a",
281 "label": "USA SEC Central Index Key Database"
282 },
283 {
284 "id": "a8c6ee1cd4dfc952105ee8c0e4836f08",
285 "label": "Acuris Risk Intelligence KYC6 (3rd Party Data)"
286 },
287 {
288 "id": "3322a755c28851ec06eda3280cc2a2b2",
289 "label": "Russia ClearSpending (3rd Party Data)"
290 },
291 {
292 "id": "93de05b55a68cc964f34bbfc7ec7bc86",
293 "label": "Consolidated Canadian Autonomous Sanctions List"
294 },
295 {
296 "id": "fdfedf11a5122e2aef9dc3f176c7427d",
297 "label": "Sayari Intel (Sayari Curated Risk Data) - Archived"
298 },
299 {
300 "id": "e517c714b560f159a89a9501ed7dd84e",
301 "label": "Infocredit Cyprus Company Shareholders Database (3rd Party Data)"
302 },
303 {
304 "id": "bef2f30139ea37c723ecb0f953b5f024",
305 "label": "Australia Consolidated Sanctions List"
306 },
307 {
308 "id": "9048153c770d941afe9500c6ad810a80",
309 "label": "Kazakhstan DFO Registry"
310 },
311 {
312 "id": "635021e4e01979cdf95fa7ee76501696",
313 "label": "Russia E-Disclosures"
314 },
315 {
316 "id": "e85d865943ee6d8369307569d2ad9de0",
317 "label": "Acuris Risk Intelligence Adverse Media Data"
318 },
319 {
320 "id": "4ff85397f508e4ff8e71c5ca5ea895dd",
321 "label": "Japan Ministry of Finance Economic Sanctions List"
322 },
323 {
324 "id": "ce873f184abee5b13c9e89791bd78229",
325 "label": "Ukraine Significant Shareholders of Securities Issuers"
326 },
327 {
328 "id": "8511f57f6098dcc36e3a814c3ea5bdd7",
329 "label": "Uzbekistan Imports & Exports (January 2022 - Present)"
330 },
331 {
332 "id": "e6e4acebdea4e9e71af8d3586d34fcdd",
333 "label": "Ukraine Sanctions List"
334 },
335 {
336 "id": "db3416894cd5f0c4d2d6ecc79bdaf366",
337 "label": "EDI Publicly-Listed Global Security Issuers (3rd Party Data)"
338 },
339 {
340 "id": "b812677c0a32a1746b3ac741c7b97ae0",
341 "label": "Legal Entity Identifier (LEI) Registry (3rd Party Data)"
342 },
343 {
344 "id": "a9a18eeb901e4376c912e95dc05ceb78",
345 "label": "Russia Federal Tax Registry"
346 },
347 {
348 "id": "d357238101a2bb02d97d5d77a56d9455",
349 "label": "New Zealand Russia Sanctions"
350 },
351 {
352 "id": "f4ce10ac8bdc0bd9bcb31cb868b4b539",
353 "label": "EU Financial Sanctions List"
354 },
355 {
356 "id": "c10d482320f207d92aa814519c3bd686",
357 "label": "UK Consolidated Sanctions List"
358 },
359 {
360 "id": "d1bce737c158efddbef5048d63aaf124",
361 "label": "Ukraine Ministry of Justice Registry of Companies"
362 },
363 {
364 "id": "92edb8fe6615498f6e3e7b0e220f74e6",
365 "label": "USA Treasury OFAC Specially Designated Nationals (SDN) List"
366 },
367 {
368 "id": "66dfefb726ae00fde8f09f34c5578d35",
369 "label": "Russia Imports & Exports (January 2023 - Present)"
370 },
371 {
372 "id": "ad6dc774c74b92159422deabc5aee661",
373 "label": "France National Asset Freeze Register"
374 },
375 {
376 "id": "b97ad5c858093e5227b2359a0078696f",
377 "label": "USA SAM.gov Entity Exclusions Database"
378 },
379 {
380 "id": "ddbf93a5c5d568ccdb0c2455f7ecbfc8",
381 "label": "USA CorpWatch SEC 10-K Exhibit 21 Database (3rd Party Data)"
382 },
383 {
384 "id": "52a7bc4a30e787544ad2d95e7f54adca",
385 "label": "USA OFAC Non-SDN Consolidated Sanctions List"
386 },
387 {
388 "id": "f43658cf2a19452fb45b830edeeeea44",
389 "label": "Russia Central Bank Financial Institution UBO Disclosures"
390 },
391 {
392 "id": "828f81c7c31410de845d9e6ed1a0f3e6",
393 "label": "Russia Central Bank Financial Institutions"
394 },
395 {
396 "id": "56bce0e008204712e302271ddd7b4fb1",
397 "label": "Russia Federal Tax Registry (2018)"
398 },
399 {
400 "id": "e0b32f41da3b4e6c75f1f7bf6fe1c9c5",
401 "label": "S&P Global Market Intelligence Database (3rd Party Data)"
402 },
403 {
404 "id": "10a889609ddae6cc31773feebe48166b",
405 "label": "Switzerland SECO Sanctions List"
406 },
407 {
408 "id": "ded706ef28cdc649b6fc5142bc542890",
409 "label": "EU Sanctions Map"
410 },
411 {
412 "id": "417400a1ac439843fda5bb2f05fb4161",
413 "label": "USA Consolidated Screening List"
414 },
415 {
416 "id": "765d0dc816bb7db35031c43a37290350",
417 "label": "Ireland Companies Registration Office Database"
418 }
419 ],
420 "addresses": [
421 {
422 "value": "190000, г Санкт-Петербург, ул Большая Морская, дом 29"
423 },
424 {
425 "value": "109147 г. Москва, ул. Воронцовская, д.43 стр.1"
426 },
427 {
428 "value": "119121 г. Москва, ул. Плющиха, д. 37."
429 },
430 {
431 "value": "43, Vorontsovskaya str., Moscow, 109044, Russia"
432 },
433 {
434 "value": "11, lit A, Degtyarnyy pereulok, St. Petersburg, 191144, Russia"
435 },
436 {
437 "value": "29, Bolshaya Morskaya str., St. Petersburg, 190000, Russia"
438 }
439 ],
440 "hs_codes": [
441 "847150",
442 "8471500000",
443 "852351",
444 "8523519101",
445 "860610",
446 "8606100000",
447 "271019",
448 "2710196601",
449 "490700",
450 "4907003000",
451 "711890",
452 "7118900000",
453 "490700",
454 "4907003000",
455 "711890",
456 "7118900000"
457 ],
458 "created_at": "2025-04-22 22:54:00.913586+00",
459 "updated_at": "2025-04-22 22:54:00.913586+00",
460 "match_explanation": [
461 {
462 "field": "name",
463 "quality": "high",
464 "matches": [
465 "<em>БАНК</em> <em>ВТБ</em> (ПАО)",
466 "<em>VTB</em> <em>BANK</em> (PJSC)",
467 "<em>БАНК</em> <em>ВТБ</em> (ПУБЛИЧНОЕ АКЦИОНЕРНОЕ ОБЩЕСТВО)",
468 "<em>VTB</em> <em>BANK</em> (PUBLIC JOINT STOCK COMPANY)",
469 "<em>VTB</em> <em>Bank</em>"
470 ]
471 },
472 {
473 "field": "address",
474 "quality": "medium",
475 "matches": [
476 "109147 <em>Moscow</em>, st. Vorontsovskaya, 43 building 1",
477 "119121 <em>Moscow</em>, st. Plyushchikha, 37.",
478 "Vorontsovskaya Str., 43 <em>Moscow</em> 109044 RUSSIAN FEDERATION",
479 "37 Plyushchikha ul., <em>Moscow</em>, 119121, Russia",
480 "Bashnya Zapad, Kompleks Federatsiya, 12, nab. Presnenskaya, <em>Moscow</em>, 123317, Russia"
481 ]
482 },
483 {
484 "field": "country",
485 "quality": "high",
486 "matches": [
487 "<em>RUS</em>"
488 ]
489 },
490 {
491 "field": "identifier",
492 "quality": "high",
493 "matches": [
494 "<em>253400V1H6ART1UQ0N98</em>"
495 ]
496 }
497 ]
498 }
499 ],
500 "case": {
501 "id": "YVB88Y",
502 "status": "not_assigned",
503 "created_at": "2025-10-02"
504 },
505 "updated_at": "2025-04-23 13:37:00.215522+00",
506 "updated_by": "auth0|5e45bd8caccd890e68147513"
507 }
508}

The resolution endpoints allow users to search for matching entities against a provided list of attributes. The endpoint is similar to the search endpoint, except it’s tuned to only return the best match so the client doesn’t need to do as much or any post-processing work to filter down results.

Was this page helpful?
Previous

Get Project Entities

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

project_idstringRequired

Query parameters

enable_llm_cleanbooleanOptional

Whether to enable LLM-based data cleaning to remove noise and standardize entity attributes. Defaults to true if not supplied. Set to false to disable LLM cleaning.

Request

This endpoint expects an object.
attributesobjectRequired
limitintegerOptional
profileenumOptional
Allowed values:
enable_llm_cleanbooleanOptional

Whether to enable LLM-based data cleaning to remove noise and standardize entity attributes. Defaults to true if not supplied. Set to false to disable LLM cleaning.

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request
401
Unauthorized
404
Not Found
405
Method Not Allowed
429
Rate Limit Exceeded
500
Internal Server Error